#include "clanskinmenu.hpp"
/*
    File: fn_clanskinmenu.sqf
    Author: Julian

    Description:
    Handles stuff from SkinChanger

    Usage:

          Name der Klamotte
    class U_I_CombatUniform {
        Display Name der Ingame angezeigt wird
        displayname = "AAF - Kampf Anzug";
        textures[] = {
                Anzeige name            KEY                 Pfad zum Skin in der Mission                                    Lizenz für die anzeige Wenn "" keine Anzeige
            { "Thieves ClanSkin AAF", "thieves", "\A3\Boat_F_Exp\Boat_Transport_02\Data\Boat_Transport_02_exterior_CO.paa", "license_civ_thieves"}, <-- Komma!
            { "Blau", "bl", "\a3\soft_f_gamma\Hatchback_01\data\hatchback_01_ext_sport06_co.paa", ""} <-- Hier kein Komma mehr!
        };
    };

    fn_playerSkins.sqf
    Usage:

    if !(isNil {player getVariable "playerskins"}) then {player setObjectTextureGlobal [0, format["%1", player getVariable "playerskins"]]};
    if !(isNil {player getVariable "playerbackpack"}) then {(backpackContainer player) setObjectTextureGlobal [0, format["%1", player getVariable "playerbackpack"]]};


*/

class DK_Julian_skinChangeClothing {

    //AAF
    class U_I_CombatUniform {
        displayname = "AAF - Kampf Anzug";
        textures[] = {
            { "CE ClanSkin AAF", "ce", "textures\skins_gangs\ce\ce_skin1.jpg", "license_civ_dk"}
        };
    };

    //Viper Black
    class B_ViperHarness_blk_F {
        displayname = "Black - Viper Rucksack";
        textures[] = {
            { "CE Viper", "cev", "textures\skins_gangs\ce\ce_viper1.jpg", "license_civ_dk"}
        };
    }


}
