disableSerialization;
/*
    File: fn_clanskinmenu.sqf
    Author: Julian

    Description:
    Handles stuff from SkinChanger

		Usages:

		Case gleicher Name wie Anzeigename in der Config
		case "Thieves ClanSkin AAF": {
			disableSerialization;
			Doppelter Check ob man die Lizens hat!
			if (license_civ_thieves) then {
				Erster Parameter ist der KEY also der zweite in der Config.
				['thieves', player] spawn dk_skinChange_fnc_wechseln;
																												hier nochmal das gleiche
				profileNamespace setVariable ["playerskin_civ_skins","thieves"];
				closeDialog 0;
			}else{
				hint "Du hast die Lizens nicht";
			};
		};

*/

params [
	["_mode",-1,[0]],
	["_type",-1,[0]]
];

switch (_mode) do {
	case 0: {
			disableSerialization;
			closeDialog 0;
			createDialog "clanSkin_MenuClothing";
			if (playerSide in [west,independent]) exitWith {};
			//if (isNull player || !alive player || (player getVariable ["restrained",false]) || (player getVariable ["Escorting",false]) || life_istazed || life_action_inUse) exitWith {}; //If null / dead exit menu

			//Clear List
			lbClear ((findDisplay 1337) displayctrl 1601);

			//Fetching license
			private _uniform = uniform player;
			private _colorArray = getArray(missionConfigFile >> "DK_Julian_skinChangeClothing" >> _uniform >> "textures");

			_clanSkinConfig = [];
			{
				private _lic = (_x select 3);
				if (call compile _lic) then {
					_clanSkinConfig pushBack (_x select 0);
				};
			} forEach _colorArray;

			((findDisplay 1337) displayctrl 1601) ctrlRemoveAllEventHandlers "LBDblClick";
			((findDisplay 1337) displayctrl 1601) ctrlRemoveAllEventHandlers "LBSelChanged";
			((findDisplay 1337) displayctrl 1601) ctrlAddEventHandler ["LBDblClick", "[2,0] spawn dk_skinChange_fnc_clanskinmenu;"];
			//Klamotte oben anzeigen!
			private _uniformName = getText(missionConfigFile >> "DK_Julian_skinChangeClothing" >> _uniform >> "displayname");
			private _print = format ["==== Deine Uniform Skins für: %1 ====", _uniformName];
			((findDisplay 1337) displayctrl 1601) lbAdd _print;
			((findDisplay 1337) displayctrl 1601) lbAdd "=-=-=-= Skin Texture zurücksetzten =-=-=-=";
			lbSetColor [1601, 0, [1,0,0,1]];

			{
				((findDisplay 1337) displayctrl 1601) lbAdd _x;
			} forEach _clanSkinConfig;
		};

		case 1: {
			disableSerialization;
			closeDialog 0;
			createDialog "clanSkin_MenuClothing";
			if (playerSide in [west,independent]) exitWith {};

			//Clear List
			lbClear ((findDisplay 1337) displayctrl 1601);

			//Fetching license
			private _backpack = backpack player;
			private _bcolorArray = getArray(missionConfigFile >> "DK_Julian_skinChangeClothing" >> _backpack >> "textures");

			_bclanSkinConfig = [];
			{
				private _lic = (_x select 3);
				if (call compile _lic) then {
					_bclanSkinConfig pushBack (_x select 0);
				};
			} forEach _bcolorArray;


			((findDisplay 1337) displayctrl 1601) ctrlRemoveAllEventHandlers "LBDblClick";
			((findDisplay 1337) displayctrl 1601) ctrlRemoveAllEventHandlers "LBSelChanged";
			((findDisplay 1337) displayctrl 1601) ctrlAddEventHandler ["LBDblClick", "[2,1] spawn dk_skinChange_fnc_clanskinmenu;"];
			//Klamotte oben anzeigen!
			private _buniformName = getText(missionConfigFile >> "DK_Julian_skinChangeClothing" >> _backpack >> "displayname");
			private _bprint = format ["==== Deine Rucksack Skins für: %1 ====", _buniformName];
			((findDisplay 1337) displayctrl 1601) lbAdd _bprint;
			((findDisplay 1337) displayctrl 1601) lbAdd "=-=-=-= Rucksack Textur zurücksetzten =-=-=-=";

			lbSetColor [1601, 0, [1,0,0,1]];

			{
				((findDisplay 1337) displayctrl 1601) lbAdd _x;
			} forEach _bclanSkinConfig;
		};

		case 2: {
			/*
				UNIFORM
				UNIFORM
				UNIFORM
			*/
			if (_type isEqualTo 0) then {
				switch (((findDisplay 1337) displayctrl 1601) lbText (lbCurSel ((findDisplay 1337) displayctrl 1601))) do	{
					//Reset DONT EDIT
					case "=-=-=-= Skin Texture zurücksetzten =-=-=-=": {
						disableSerialization;
						player setVariable ["playerskins", nil];
						hint "Dein Skin wurde zurück gesetzt!";
						closeDialog 0;
					};

					//Clan Skins
					case "CE ClanSkin AAF": {
						disableSerialization;
						if (license_civ_dk) then {
							['ce', player, 0] spawn dk_skinChange_fnc_wechseln;
							closeDialog 0;
						}else{
							hint "Du hast die Lizens nicht";
						};
					};

				};
			} else {
				/*
					BACKPACK
					BACKPACK
					BACKPACK
				*/

				switch (((findDisplay 1337) displayctrl 1601) lbText (lbCurSel ((findDisplay 1337) displayctrl 1601))) do	{
					//Reset Backpack Color
					case "=-=-=-= Rucksack Textur zurücksetzten =-=-=-=": {
						disableSerialization;
						player setVariable ["playerbackpack", nil];
						hint "Dein Skin wurde zurück gesetzt!";
						closeDialog 0;
					};

					//Ab hier ClanSkins

					case "CE Viper": {
						disableSerialization;
						if (license_civ_dk) then {
							['cev', player, 1] spawn dk_skinChange_fnc_wechseln;
							closeDialog 0;
						}else{
							hint "Du hast die Lizens nicht";
						};
					};

			};
		};
	};
};
