/*
    File: fn_clanskinmenu.sqf
    Author: Julian

    Description:
    Change stuff from SkinChanger

*/
private["_type","_tag","_player"];

params [
	["_tag","",[""]],
	["_player",objNull,[objNull]],
	["_mode",-1,[0]]
];

if (_mode isEqualTo 0) then {
  _type = uniform _player;
}else {
	_type = backpack _player;
};


if (_tag == "") exitWith {
	hint "Du hast kein Skin ausgewaehlt.";
};

private _skinPaths = [];
private _index = -1;
private _colorArray = [];

_colorArray = getArray(missionConfigFile >> "DK_Julian_skinChangeClothing" >> _type >> "textures");

private _i = -1;
{
	_i = _i + 1;
	if ((_x select 1) isEqualTo _tag) then {
		_index = _i;
		_skinPaths pushBack (_x select 2);
	};
} forEach _colorArray;

if (count _skinPaths == 0) exitWith {
	hint "Fuer deinen Clan wurde kein Uniform Skin gefunden";
};

private _textureIndex = -1;
{
	_textureIndex = _textureIndex + 1;
	if (_mode isEqualTo 0) then {
		_player setObjectTextureGlobal [_textureIndex, _x];
		_player setVariable ["playerskins", format["%1",_x], true];
	}else{
		(backpackContainer _player) setObjectTextureGlobal [_textureIndex, _x];
		_player setVariable ["playerbackpack", format["%1",_x], true];
	};
} forEach _skinPaths;
